Get company page
curl --request GET \
--url https://api.konbiniapi.com/v1/linkedin/companies/{company} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/linkedin/companies/{company}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/linkedin/companies/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Organization",
"id": "https://www.linkedin.com/company/stripe",
"url": "https://www.linkedin.com/company/stripe",
"name": "Stripe",
"preferredUsername": "stripe",
"summary": "Stripe builds programmable financial services. Millions of companies—from the world's largest enterprises to the most ambitious startups—use Stripe to accept payments, grow their revenue, and accelerate new business opportunities. Headquartered in San Francisco and Dublin, the company aims to increase the GDP of the internet.",
"location": "South San Francisco, California, US",
"address": {
"addressLocality": "South San Francisco",
"addressCountry": "US",
"streetAddress": "354 Oyster Point Blvd",
"addressRegion": "California",
"postalCode": "94080"
},
"memberCount": 16907,
"icon": {
"type": "Image",
"url": "https://media.licdn.com/dms/image/v2/D4E03AQExample/profile-displayphoto-shrink_800_800/0/1700000000000"
},
"tagline": "Help increase the GDP of the internet.",
"attachment": [
{
"type": "Link",
"href": "https://stripe.com"
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Companies
Get company page
Returns public information for a LinkedIn company page including description, location, employee count, and logo.
GET
/
v1
/
linkedin
/
companies
/
{company}
Get company page
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
Company vanity name
Example:
"stripe"
Response
Returns the LinkedIn company page
Show child attributes
Show child attributes
⌘I